# Copy workspace

Copies a workspace.

> Important: This operation doesn't copy cell history.

Endpoint: POST /workspaces/{workspaceId}/copy
Version: 2.0.0
Security: APIToken, OAuth2

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

  - `Content-Type` (string, required)
    Defines the structure for the request body.
    Enum: "application/json"

## Path parameters:

  - `workspaceId` (string, required)
    ID of the workspace being accessed.

## Query parameters:

  - `include` (string)
    A comma-separated list of elements to include:

  - "all"
  - "attachments"
  - "brand"
  - "cellLinks" - includes cross-sheet references
  - "data" - includes formatting
  - "discussions" - includes comments
  - "filters"
  - "forms"
  - "ruleRecipients"
  - "rules"
  - "shares"

Important: This operation doesn't copy cell history.
    Enum: "all", "attachments", "brand", "cellLinks", "data", "discussions", "filters", "forms", "ruleRecipients", "rules", "shares"

  - `skipRemap` (string)
    A comma-separated list of references to NOT re-map for the newly created folder.
    Enum: "cellLinks", "reports", "sheetHyperlinks", "sights"

## Request fields (application/json):

  - `newName` (string)
    Name of the newly created workspace.

## Response 200 fields (application/json):

  - `message` (string)
    Message that indicates the request was successful.
    Enum: "SUCCESS"

  - `resultCode` (number)
    * '0' Success
    Enum: 0

  - `result` (object)

  - `result.id` (number)
    Workspace ID.

  - `result.name` (string)
    Workspace name.

  - `result.accessLevel` (string)
    Enum: "ADMIN", "COMMENTER", "EDITOR", "EDITOR_SHARE", "OWNER", "VIEWER"

  - `result.permalink` (string)
    URL that represents a direct link to the workspace in Smartsheet.

## Response default fields (application/json):

  - `refId` (string)
    The ID of the specific error occurrence. Please include this information when contacting Smartsheet support.

  - `errorCode` (number)
    Custom error code from Smartsheet. See the complete [Error Code List](/api/smartsheet/error-codes).

  - `message` (string)
    Descriptive error message.


